> ## Documentation Index
> Fetch the complete documentation index at: https://developers.hubspot.jp/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Update a group of products

> Update an existing product by its ID. The request body must be a list of properties you want to update, with each entry including the internal name of the property you want to update, and the new value for that property. See the example for details.

export const ScopesList = ({scopes = [], description = "この API には、次のいずれかのスコープが必要です。"}) => {
  if (!scopes || scopes.length === 0) {
    return null;
  }
  const sortedScopes = scopes.sort((a, b) => a.localeCompare(b));
  return <div>
      <div className="text-sm mb-2">{description}</div>
      <div>
        {sortedScopes.map((scope, index) => <div key={index}>
            <code>
              <span className="text-xs">{scope}</span>
            </code>
          </div>)}
      </div>
    </div>;
};

<Accordion title="Scope requirements">
  <ScopesList scopes={['e-commerce']} />
</Accordion>


## OpenAPI

````yaml specs/legacy/v1/crm-products-v1.json POST /crm-objects/v1/objects/products/batch-update
openapi: 3.0.0
info:
  title: CRM Products API v1
  version: 1.0.0
  description: >-
    Use the products API to create and manage your product library, which is the
    collection of goods and services that your company offers. Products in your
    product library can be used as line items when creating deals, payment
    links, invoices, and quotes.
  x-hubspot-introduction: >-
    Use the products API to create and manage your product library, which is the
    collection of goods and services that your company offers. Products in your
    product library can be used as line items when creating deals, payment
    links, invoices, and quotes.
  x-hubspot-api-use-case: >-
    To prepare for an upcoming product launch, use the products API to create a
    set of products to represent your new offerings. Sales reps can then use
    these products when creating payment links, invoices, and more.
servers:
  - url: https://api.hubapi.com
    description: HubSpot API Server
security: []
paths:
  /crm-objects/v1/objects/products/batch-update:
    post:
      summary: Update a group of products
      description: >-
        Update an existing product by its ID. The request body must be a list of
        properties you want to update, with each entry including the internal
        name of the property you want to update, and the new value for that
        property. See the example for details.
      operationId: postcrmobjectsv1objectsproductsbatchupdate
      responses:
        '200':
          description: Successful response - Update an existing product by its ID
          content:
            application/json:
              schema:
                type: object
              examples:
                example1:
                  summary: Update a group of products - Example 1
                  value: >-
                    [ { "objectId": 1642796, "properties": [ { "name": "price",
                    "value": "85.00" }, { "name": "description", "value": "This
                    is an updated product, it's getting a price change." } ] },
                    { "objectId": 1645187, "properties": [ { "name": "name",
                    "value": "Updated product name now "discount", "value": "20"
                    } ] } ] [ { "objectType": "PRODUCT", "portalId": 62515,
                    "objectId": 1642796, "properties": { "hs_lastmodifieddate":
                    { "versions": [ { "name": "hs_lastmodifieddate", "value":
                    "0", "timestamp": 0, "source": "CALCULATED", "sourceVid": []
                    } ], "value": "0", "timestamp": 0, "source": "CALCULATED",
                    "sourceId": null }, "price": { "versions": [ { "name":
                    "price", "value": "85.00", "timestamp": 1525292253568,
                    "source": "API", "sourceVid": [] }, { "name": "price",
                    "value": "75.00", "timestamp": 1525289943771, "source":
                    "API", "sourceVid": [] } ], "value": "85.00", "timestamp":
                    1525292253568, "source": "API", "sourceId": null },
                    "description": { "versions": [ { "name": "description",
                    "value": "This is an updated product, it's getting a price
                    change.", "timestamp": 1525292253568, "source": "API",
                    "sourceVid": [] }, { "name": "description", "value": "A
                    description the second new product.", "timestamp":
                    1525289943771, "source": "API", "sourceVid": [] } ],
                    "value": "This is an updated product, it's getting a price
                    change.", "timestamp": 1525292253568, "source": "API",
                    "sourceId": null } }, "version": 0, "isDeleted": false }, {
                    "objectType": "PRODUCT", "portalId": 62515, "objectId":
                    1645187, "properties": { "hs_lastmodifieddate": {
                    "versions": [ { "name": "hs_lastmodifieddate", "value": "0",
                    "timestamp": 0, "source": "CALCULATED", "sourceVid": [] } ],
                    "value": "0", "timestamp": 0, "source": "CALCULATED",
                    "sourceId": null }, "name": { "versions": [ { "name":
                    "name", "value": "Updated product name now 1525292253568,
                    "source": "API", "sourceVid": [] }, { "name": "name",
                    "value": "Another new product", "timestamp": 1525289943771,
                    "source": "API", "sourceVid": [] } ], "value": "Updated
                    product name now 1525292253568, "source": "API", "sourceId":
                    null }, "discount": { "versions": [ { "name": "discount",
                    "value": "20", "timestamp": 1525292253568, "source": "API",
                    "sourceVid": [] } ], "value": "20", "timestamp":
                    1525292253568, "source": "API", "sourceId": null } },
                    "version": 0, "isDeleted": false } ]
      security:
        - oauth2:
            - e-commerce
        - oauth2_legacy: []
        - private_apps:
            - e-commerce
        - private_apps_legacy: []
components: {}

````